org.apache.ignite.internal.processors.platform.cache.expiry

## Class PlatformExpiryPolicy

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.cache.expiry.PlatformExpiryPolicy

All Implemented Interfaces:
  javax.cache.expiry.ExpiryPolicy

    public class PlatformExpiryPolicy
    extends Object
    implements javax.cache.expiry.ExpiryPolicy

Platform expiry policy.

### Constructor Summary

Constructors
Constructor and Description
`PlatformExpiryPolicy(long create, long update, long access)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.cache.expiry.Duration` `getExpiryForAccess()`
`javax.cache.expiry.Duration` `getExpiryForCreation()`
`javax.cache.expiry.Duration` `getExpiryForUpdate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformExpiryPolicy

    public PlatformExpiryPolicy(long create,
                                long update,
                                long access)

Constructor.

Parameters:
  `create` - Expiry for create.
  `update` - Expiry for update.
  `access` - Expiry for access.

### Method Detail

#### getExpiryForCreation

    public javax.cache.expiry.Duration getExpiryForCreation()

Specified by:
  `getExpiryForCreation` in interface `javax.cache.expiry.ExpiryPolicy`

#### getExpiryForUpdate

    public javax.cache.expiry.Duration getExpiryForUpdate()

Specified by:
  `getExpiryForUpdate` in interface `javax.cache.expiry.ExpiryPolicy`

#### getExpiryForAccess

    public javax.cache.expiry.Duration getExpiryForAccess()

Specified by:
  `getExpiryForAccess` in interface `javax.cache.expiry.ExpiryPolicy`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019